/**
 * Die Klasse Knoten implementiert einen Knoten eines binaeren Baumes.
 * 
 * Umgebung: JDK 1.3, Windows 2000
 * Erstellt: 17.12.2001
 */
public class Knoten {

  /**
   * Der linke und rechte Nachfolgerknoten.
   */
  private Knoten links, rechts;
  
  /**
   * Die Zahl (der Inhalt), die der Knoten speichert.
   */
  private int wert; 
  
  /**
   * Erzeugt einen Knoten mit der Zahl wert.
   *
   * @param wert die Zahl, die von dem Knoten gespeichert wird.
   */
  public Knoten(int wert) {
    this.wert = wert;
  }
  
  /**
   * Setzt die Zahl, die der Knoten speichert auf wert.
   * 
   * @param wert die Zahl, die von dem Knoten gespeichert wird.  
   */
  public void setWert(int wert) {
    this.wert = wert;
  }
  
  /**
   * Liefert die Zahl des Knotens zurueck.
   * 
   * @return die Zahl, die von dem Knoten gespeichert wird.
   */
  public int getWert() {
    return wert;
  }
  
  /**
   * Setzt den linken Nachfolger des Knotens auf links.
   *
   * @param links der neue Nachfolger des Knotens.
   */
  public void setLinks(Knoten links) {
    this.links = links;
  }
  
  /**
   * Liefert den linken (direkten) Nachfolger zurueck.
   */
  public Knoten getLinks() {
    return links;
  }
    
  /**
   * Setzt den rechten Nachfolger des Knotens auf rechts.
   *
   * @param rechts der neue Nachfolger des Knotens.
   */
  public void setRechts(Knoten rechts) {
    this.rechts = rechts;
  }    
    
  /**
   * Liefert den rechten (direkten) Nachfolger zurueck.  
   */  
  public Knoten getRechts() {
    return rechts;
  }
  
}